Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.crypto
Interface KeyEncryption

    public interface KeyEncryption

`KeyEncryption` interface defines the methods used to enable encrypted key data access to a key implementation.

Method Summary
`Cipher` | `getKeyCipher()` Returns the `Cipher` object to be used to decrypt the input key data and key parameters in the set methods.
`void` | `setKeyCipher(Cipher keyCipher)` Sets the `Cipher` object to be used to decrypt the input key data and key parameters in the set methods.

Method Detail

### setKeyCipher

    void setKeyCipher(Cipher keyCipher)

  Sets the `Cipher` object to be used to decrypt the input key data and key parameters in the set methods.

  Default `Cipher` object is `null` - no decryption performed.

  Parameters:
    `keyCipher` - the decryption `Cipher` object to decrypt the input key data. The `null` parameter indicates that no decryption is required.

### getKeyCipher

    Cipher getKeyCipher()

  Returns the `Cipher` object to be used to decrypt the input key data and key parameters in the set methods.

  Default is `null` - no decryption performed.

  Returns:
    `keyCipher`, the decryption `Cipher` object to decrypt the input key data. The `null` return indicates that no decryption is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD